%global pkgname flufl-lock

Name:           python-%{pkgname}
Version:        7.1.1
Release:    4%{?dist}
Summary:        NFS-safe file locking with timeouts for POSIX systems

License:        Apache-2.0
URL:            https://gitlab.com/warsaw/flufl.lock
Source0:        https://files.pythonhosted.org/packages/source/f/flufl.lock/flufl.lock-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-sybil

%global _description %{expand:
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" man page, under the description of
the "O_EXCL" option.}

%description %{_description}


%package -n python3-%{pkgname}
Summary:        %{summary}

%description -n python3-%{pkgname} %{_description}


%prep
%autosetup -n flufl.lock-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flufl


%check
rm -f conftest.py
%pytest --no-cov


%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 7.1.1-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 7.1.1-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 7.1.1-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.1-1
- initial build
